List task messages
GET
bearerAuthheader
AuthorizationBearer <token>An API key created in Capy under Settings → API.
taskId*stringafter?stringLength
26 <= length <= 26limit?integerMessagePage
application/json- response
items*array<>cursor*|nullcurl -X GET 'https://api.capy.ai/api/v1/tasks/string/messages'{ "items": [ { "id": "string", "source": "user", "tool": "string", "feedbackRequest": { "toolCallId": "string", "state": "proposed" }, "calls": [ { "tool": "string", "durationMs": 0 } ], "text": "string", "authorName": "string", "sender": { "id": "string", "relation": "parent" }, "clientKey": "string", "editOf": "string", "model": "string", "callId": "string", "attachments": [ { "file": { "fileId": "string", "name": "string", "mediaType": "string", "sizeBytes": 0, "preview": true, "previewBytes": 0, "width": 0, "height": 0, "pageCount": 1, "sourcePath": "string", "contentSha": "string", "transcript": "string" }, "title": "string" } ], "references": [ { "location": "string", "path": "string", "version": "string", "title": "string", "sizeBytes": 0, "fileId": "string" } ], "createdAt": "string" } ], "cursor": "string"}